curl --request POST \
--url https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/api/v{version}/terminal/sysreset \
--header 'Content-Type: application/json' \
--data '
[
{
"DestinationID": "01008988SKY5909",
"UserMessageID": 2097,
"ResetModem": true,
"ResetApplication": true,
"RegistrationTimeQualifierIdx": 123,
"LastTransmitTimeQualifierIdx": 123,
"DeleteAllGrants": true,
"DeleteChannelConfig": true,
"DeleteServiceConfig": true,
"DeleteGnssFix": true,
"AbortTxMsgs": true,
"AbortRxMsgs": true,
"WakeupInterval": 123,
"VCID": 123,
"GeoBeam": 123
}
]
'import requests
url = "https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/api/v{version}/terminal/sysreset"
payload = [
{
"DestinationID": "01008988SKY5909",
"UserMessageID": 2097,
"ResetModem": True,
"ResetApplication": True,
"RegistrationTimeQualifierIdx": 123,
"LastTransmitTimeQualifierIdx": 123,
"DeleteAllGrants": True,
"DeleteChannelConfig": True,
"DeleteServiceConfig": True,
"DeleteGnssFix": True,
"AbortTxMsgs": True,
"AbortRxMsgs": True,
"WakeupInterval": 123,
"VCID": 123,
"GeoBeam": 123
}
]
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([
{
DestinationID: '01008988SKY5909',
UserMessageID: 2097,
ResetModem: true,
ResetApplication: true,
RegistrationTimeQualifierIdx: 123,
LastTransmitTimeQualifierIdx: 123,
DeleteAllGrants: true,
DeleteChannelConfig: true,
DeleteServiceConfig: true,
DeleteGnssFix: true,
AbortTxMsgs: true,
AbortRxMsgs: true,
WakeupInterval: 123,
VCID: 123,
GeoBeam: 123
}
])
};
fetch('https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/api/v{version}/terminal/sysreset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Submissions": [
{
"ID": 10844864715,
"DestinationID": "01008988SKY5909",
"UserMessageID": 1003,
"OTAMessageSize": 202,
"OperationMode": null
},
{
"ID": 10844864716,
"DestinationID": "01008989SKY5900",
"UserMessageID": 1003,
"OTAMessageSize": 202,
"OperationMode": null
}
]
}"Quando falha a autenticação e autorização.""Quando o usuário ultrapassa o limite provisionado de requisições para o endpoint da API, será retornado o código HTTP 429 “Muitas Requisições”."Envia mensagem de “reset” do sistema
Autenticação: Token Bearer
Limitação de taxa: sim (grupo SEND de métodos)
Autorização: Conta de usuário
Path Parameters
Body
Destino da mensagem (ID principal do terminal).
"01008988SKY5909"
ID da mensagem do cliente. Deve ser fornecido para mapear para o número do Gateway. O Gateway não armazena este ID.
2097
ResetModem - reseta o modem se true.
ResetApplication - reseta a aplicação se true.
RegistrationTimeQualifierIdx - 0 se não especificado.
LastTransmitTimeQualifierIdx - 0 se não especificado.
DeleteAllGrants - false se não especificado.
DeleteChannelConfig - false se não especificado.
DeleteServiceConfig - false se não especificado.
DeleteGnssFix - false se não especificado.
AbortTxMsgs - false se não especificado.
AbortRxMsgs - false se não especificado.
Apenas terminais IDP - null se não especificado.
Apenas terminais IDP - null se não especificado.
Apenas terminais IDP - null se não especificado.
Esta classe controla o envio atrasado de mensagens to-mobile. Aplica-se somente a mensagens enviadas pela rede via satélite. Esta opção é ignorada se a rede celular for usada. O envio atrasado é normalmente usado para mensagens to-mobile a terminais que ficam desligados a maior parte do tempo, mas enviam mensagens from-mobile ao serem ligados.
Show child attributes
Show child attributes
Response
Chamada realizada com sucesso. Verifique o ErrorID para possíveis erros.

